#include <time.h>

#ifndef __NanoTimer__
#define __NanoTimer__

class NanoTimer {
 public:
  NanoTimer(void);
  ~NanoTimer(void);

  void Start(void);
  long Stop(void);
  void Print(void);
  void PrintInverse(void);
  void WaitUntil(long time);
 private:
#ifdef POSIX
  timespec A,B;
#endif
};

#endif 
