
void HTTPStatus(int Socket,SADBServer * SADB){
 HTTPHeader(Socket);
 SocketSend(Socket,"<h1>Status</h1>SADB is Active<h2>Contents</h2>");
 SocketSendf(Socket,"SADB currently contains %lld objects and %lld categories",SADB->nObjects,SADB->nCategories);

 //General System Information

 // Swap Info
 int SWAPTotal=0;//Megabytes
 int SWAPFree=0;
 int SWAPUsed=0;
 int SWAPPercent=0;

 struct sysinfo SystemInfo;
 if(sysinfo(&SystemInfo)==0){//if information read properly
  SWAPTotal=SystemInfo.mem_unit*SystemInfo.totalswap>>20;//Megabytes
  SWAPFree=SystemInfo.mem_unit*SystemInfo.freeswap>>20;
  SWAPUsed=SWAPTotal-SWAPFree;
  SWAPPercent=(double)100*(double)SWAPUsed/SWAPTotal;
 }

 int RAMTotal;
 int RAMFree;
 int t;

 FILE *meminfo;
 meminfo=fopen("/proc/meminfo","r");
 fscanf(meminfo,"MemTotal:%*[ ]%d kB\n",&RAMTotal);
 fscanf(meminfo,"MemFree:%*[ ]%d kB\n",&RAMFree);
 fscanf(meminfo,"Buffers:%*[ ]%d kB\n",&t);RAMFree+=t;
 fscanf(meminfo,"Cached:%*[ ]%d kB\n",&t);RAMFree+=t;
 fclose(meminfo);

 RAMTotal=RAMTotal>>10;
 RAMFree=RAMFree>>10;
 int RAMUsed=RAMTotal-RAMFree;
 int RAMPercent=(double)100*(double)RAMUsed/RAMTotal;

 SocketSend(Socket,"<h2>System</h2><table>");
 SocketSendf(Socket,"<tr><td></td><td>Usage</td><td>Free</td><td>Used</td><td>Total</td></tr>");
 SocketSendf(Socket,"<tr><td>RAM</td><td><div class=\"meter\"><div style=\"width:%dpx;\"></div></div></td><td>%06d</td><td>%06d</td><td>%06d</td></tr>",RAMPercent,RAMFree,RAMUsed,RAMTotal);
 SocketSendf(Socket,"<tr><td>SWAP</td><td><div class=\"meter\"><div style=\"width:%dpx;\"></div></div></td><td>%06d</td><td>%06d</td><td>%06d</td></tr>",SWAPPercent,SWAPFree,SWAPUsed,SWAPTotal);
 SocketSend(Socket,"</table>");

 HTTPFooter(Socket);

}




