#ifndef __Interpolator__
#define __Interpolator__

#define LinearInterpolation 1
#define PolynomialInterpolation 2

class Interpolator {
 public:
  Interpolator(void);
  ~Interpolator(void);

  void Initialize(void);
  void Free(void);

  
  void SetObject(SADBObject * O);

  void GetValue(Timestamp Target,int Interpolation,int nPoints);


  void Linear(Timestamp Target);
  void Polynomial(Timestamp Target,int nPoints);

  SADBObjectStorage Data;

 private:
  SADBObject * Object;
  int Index;// index of the previous value in the object
};
#endif 

