
#ifndef __NETWORK__
#define __NETWORK__

#define MAXFORMATTEDLENGTH 500

class Network {
 public:
  Network(void);
  ~Network(void);
  void Close(void);

  void Server(int port,int MaxQueue);
  void ConnectTo(const char * address,int port);
  int WaitForConnection(void);
  int GetConnection(void);

  int Receive(unsigned char * Buffer,int MaxLength);
  int ReceiveExactly(unsigned char * Buffer,int Length);
  void Send(unsigned char * Buffer);
  void Send(unsigned char * Buffer,int Length);
  void Sendf(unsigned char *format,...);

  /// Socket Descriptor
  int Socket;
  /// Port Number
  int Port;

 private:
  struct addrinfo *AddressInfo;
};

//General socket communication functions
int SocketReceive(int Socket,unsigned char * Buffer,int MaxLength);
int SocketReceiveExactly(int Socket,unsigned char * Buffer,int Length);
int SocketSend(int Socket,const char * Buffer);
int SocketSend(int Socket,unsigned char * Buffer,long int Length);
int SocketSendf(int Socket,const char *format,...);


void CorkSocket(int Socket);
void UncorkSocket(int Socket);

#endif 
