#include "../SADB-Client/SADB.h"
using namespace SADB;

int main(void){
 Blackboard Board;
 Board.ConnectToServer("127.0.0.1");
 

 //Create an object on the server (the object that will be read)
 BlackboardObject IMG;
 IMG.SetBlackboard(&Board);
 IMG.AddToBlackboard();
 IMG.SetDataType(BOByte);
 IMG.SetDimensionsf(3,640,480,3);//X,Y,R,G,B
 IMG.SetName("MAXRANDOMWRITE");
 IMG.Time.Millisecond=0;

 BlackboardObject READ;
 READ.SetBlackboard(&Board);
 READ.GetByName("MAXSENDSPEED");

 //Open a file for output
 FILE *Data=fopen("Raw","w");

 Timestamp Time;


 //Fill the blackboard with 1000 values
 for(int i=0;i<500;i++){
  Time.Now();
  IMG.Time.Second=i;
  IMG.Send();
  fprintf(Data,"%d %lld.%d\n",i,Time.Second,Time.Millisecond);

  Time.Now();
  IMG.Time.Second=1000-i;
  IMG.Send();
  fprintf(Data,"%d %lld.%d\n",1000-i,Time.Second,Time.Millisecond);
 }



 fclose(Data);
}
