#include "../SADB-Client/SADB.h"
using namespace SADB;

int main(void){
 Blackboard Board;
 Board.ConnectToServer("127.0.0.1");

 //Create an object

 BlackboardObject p1;
 p1.SetBlackboard(&Board);
 p1.AddToBlackboard();
 p1.SetDataType(BOFloat);
 p1.SetDimensionsf(2,2,2);//1 dimensional scalar
 p1.SetName("Test Object");
 p1.SetDescription("Value Setting test");
 p1.Time.Millisecond=0;//Keep milliseconds fixed to 0

 p1.Time.Second=2;
 p1.SetFloat(0, 0,0);
 p1.SetFloat(1, 1,0);
 p1.SetFloat(2, 0,1);
 p1.SetFloat(3, 1,1);
 p1.Send();
 p1.Information();

 printf("\n\n\n");
 printf("Float at 0,0 if %f\n",p1.GetFloat(0,0));
 printf("Float at 1,0 if %f\n",p1.GetFloat(1,0));
 printf("Float at 0,1 if %f\n",p1.GetFloat(0,1));
 printf("Float at 1,1 if %f\n",p1.GetFloat(1,1));

 BlackboardObject Str;
 Str.SetString("Test String, let's see if this works");
 printf("Stored String: %s\n",Str.GetString());


}
