#include "../SADB-Client/SADB.h"
using namespace SADB;

int main(void){
 Blackboard Board;
 Board.ConnectToServer("127.0.0.1");

 //Simple manually created string table
 SADBStringTable StrTab;

 StrTab.SetBlackboard(&Board);
 StrTab.SetName("String Table Test");
 StrTab.SetDimensions(2,2);

 StrTab.SetString(0,0,"String A");
 StrTab.SetString(0,1,"String B");
 StrTab.SetString(1,0,"String C");
 StrTab.SetString(1,1,"String D");

 printf("%s\n",StrTab.GetString(0,1));


 //String table created from csv
 SADBStringTable CSVStrTab;
 CSVStrTab.SetBlackboard(NULL);
 CSVStrTab.LoadCSV("Data/CSV/SMC.Conditions.csv");

 char * S=CSVStrTab.GetNewString(1,7);
 printf("%s\n",S);
 


 
}
