#ifndef __BlackboardObjectListener__
#define __BlackboardObjectListener__



class BlackboardObjectListener {
 public:
  BlackboardObjectListener(void);
  ~BlackboardObjectListener(void);

  void Initialize(BlackboardObject * Obj,SADBu64 period,void(*callback)(BlackboardObject *));
  void Free(void);

  void Start(void);
  void Stop(void);

  SADBu64 Period;
 private:
  static void *StartMainThreadProxy(void *context);
  void Main(void);//Main Method for the server thread
  BlackboardObject * Target;
  void (*Callback)(BlackboardObject *);
  int StopRequest;//used as a boolean for stop request
  pthread_t ThreadID;
};
#endif 

