#ifndef __Timestamp__
#define __Timestamp__

class Timestamp {
 public:
  Timestamp(void);
  ~Timestamp(void);

  void Initialize(void);
  void Free(void);

  void Print(void);

  void Now(void);
  void Set(SADBu64 second,SADBu16 millisecond);

  SADBdfl SecondDifference(Timestamp * B);
  SADBs64 MillisecondDifference(Timestamp * B);

  //SMC compatibility function
  SADBdfl Get(void);
  void Set(SADBdfl time);

  SADBu64 Second;
  SADBu16 Millisecond;
 private:
};
#endif 

