#include <dirent.h>


void HTTPAdmin(int Socket,SADBServer * SADB){
 HTTPHeader(Socket);
 SocketSend(Socket,"<h1>Administration</h1><h2>Reset Server</h2>");
 SocketSend(Socket,"<a href=\"reset.html\">Click here to reset</a>");
 SocketSend(Socket,"<h2>Backup Contents</h2>");
 SocketSend(Socket,"<form action=\"dump\" method=\"get\">Dump Name: <input type=\"text\" name=\"name\"><input type=\"submit\" value=\"Submit\"></form>");
 SocketSend(Socket,"<h2>Load Contents</h2><ul>");
 
 SocketSend(Socket,"<form action=\"load\" method=\"get\">");
 SocketSend(Socket,"Start Percentage: <input type=\"text\" name=\"A\" value=\"0\"><br>");
 SocketSend(Socket,"End Percentage: <input type=\"text\" name=\"B\" value=\"100\"><br>");
 SocketSend(Socket,"Dump name: <select name=\"name\">");
 DIR *DumpDir;
 struct dirent *Entry;
 DumpDir=opendir("Dumps");
 if(DumpDir!=NULL)while((Entry=readdir(DumpDir)))
  if((strcmp(Entry->d_name,".")!=0)&&(strcmp(Entry->d_name,"..")!=0)&&(strcmp(Entry->d_name,".svn")!=0))
   SocketSendf(Socket,"<option value=\"%s\">%s</option>",Entry->d_name,Entry->d_name);
 SocketSend(Socket,"</select><br>");
 SocketSend(Socket,"<input type=\"submit\" value=\"Submit\">");
 SocketSend(Socket,"</form>");

 HTTPFooter(Socket);
}









void HTTPDumpConfirmation(int Socket,SADBServer * SADB,unsigned char * Name){
 HTTPHeader(Socket);
 SocketSend(Socket,"<h1>Administration</h1>");
 SocketSendf(Socket,"The specified dump name (\"%s\") already exists, are you sure you want to replace the existing dump?<br>",Name);
 SocketSendf(Socket,"<a href=\"dump?name=%s&ow=1\">Yes</a> / <a href=\"status\">No</a>",Name);
 HTTPFooter(Socket);
}




void HTTPDump(int Socket,SADBServer * SADB,unsigned char * Request){
 char Filename[1024];int Overwrite=0;Filename[0]='\0';
 sscanf((const char *)(Request+6),"name=%[^&]&ow=%d",Filename,&Overwrite);
 //printf("%s\t%d\n",Filename,Overwrite);
 for(int i=0;i<(int)strlen(Filename);i++)if(Filename[i]=='+')Filename[i]='_'; 

 if(Filename[0]=='\0'){
  HTTPHeader(Socket);
  SocketSend(Socket,"<h1>Administration</h1>Error: No Filename Provided");
  HTTPFooter(Socket);
  return;
 }
 
 char CompleteFilename[1024];
 sprintf(CompleteFilename,"Dumps/%s",Filename);
 
 //Check if dump already exists
 struct stat S;
 if(stat(CompleteFilename,&S)==0){
  if(S.st_mode&S_IFDIR){//Already Exists
   if(Overwrite==0){//Ask for confirmation
    HTTPDumpConfirmation(Socket,SADB,(unsigned char*)Filename);
    return;
   }else{//Delete current dump prior to dumping again (cheap but it works)
    char DeleteCMD[1024];
    sprintf(DeleteCMD,"rm -rf %s",CompleteFilename);
    system(DeleteCMD);
   }
  }
 }
 
 HTTPHeader(Socket);
 SocketSend(Socket,"<h1>Administration</h1>Dumping SADB contents: ");
 Log("Dumping to %s",Filename);
 char DumpCMD[1024];
 sprintf(DumpCMD,"./SADBCTL -p %d -dump -f '%s'",SADB->Port,CompleteFilename);
 system(DumpCMD);
 SocketSend(Socket,"Done");
 HTTPFooter(Socket);

}







void HTTPLoad(int Socket,SADBServer * SADB,unsigned char * Request){
 char Filename[1024];Filename[0]='\0';
 float A,B;
 sscanf((const char *)(Request+6),"A=%f&B=%f&name=%s",&A,&B,Filename);
  
 
 if(Filename[0]=='\0'){
  HTTPSimpleMessage(Socket,"<h1>No Filename Provided</h1>");
  return;
 }

 Log("Loading of Dump %s",Filename);
 
 char CompleteFilename[1024];
 sprintf(CompleteFilename,"Dumps/%s",Filename);
 
 //Check if dump exists
 struct stat S;
 if(stat(CompleteFilename,&S)==0){
  if(S.st_mode&S_IFDIR){//Exists
    
   HTTPHeader(Socket);
   SocketSend(Socket,"<h1>Administration</h1>Loading SADB contents From Dump: ");
  
   SADB->Reset();//Reset SADB
   char LoadCMD[1024];
   sprintf(LoadCMD,"./SADBCTL -p %d -load -f '%s' -start %f -end %f",SADB->Port,CompleteFilename,A,B);
   system(LoadCMD);//Load the dump
   SocketSend(Socket,"Done");
   HTTPFooter(Socket);
  }else{//Doesn't exist
   HTTPSimpleMessage(Socket,"<h1>Administration</h1>Error: Specified dump does not exist");
   return;
  }
 }

}