#include "../SADB-Client/SADB.h"
using namespace SADB;

int main(void){
 Blackboard Board;
 Board.ConnectToServer("127.0.0.1");

 BlackboardObject A,B,C,D,E,F;

 A.Create(&Board,"Test Object A");
 printf("A ID: %lld\n",A.ID);

 B.Create(&Board,"Test Object B",BOByte);
 printf("B ID: %lld\n",B.ID);

 C.Create(&Board,"Test Object C","Object C Description");
 printf("C ID: %lld\n",C.ID);

 D.Create(&Board,"Test Object D","Object D Description",BOByte);
 printf("D ID: %lld\n",D.ID);
 
 E.SetBlackboard(&Board);
 E.CreateIfNonExistant("Test Object E");
 printf("E ID: %lld\n",E.ID);
 
 F.SetBlackboard(&Board);
 F.CreateIfNonExistant("Test Object E");
 printf("F ID: %lld\n",F.ID);//should be the same as E


}
