#include "../SADB-Client/SADB.h"
using namespace SADB;

int main(void){
 Blackboard Board;
 Board.ConnectToServer("192.168.1.10");
 

 //Create an object on the server (the object that will be read)
 BlackboardObject IMG;
 IMG.SetBlackboard(&Board);
 IMG.SetDataType(BOByte);
 IMG.SetDimensionsf(3,640,480,3);//X,Y,R,G,B
 IMG.SetName("MAXSEQUENTIALREAD");
 IMG.AddToBlackboard();
 IMG.Send();


 BlackboardObject READ;
 READ.SetBlackboard(&Board);
 READ.GetByName("MAXSEQUENTIALREAD");
 printf("ID: %lld\n",READ.ID);

 //Open a file for output
 FILE *Data=fopen("Raw","w");

 Timestamp Time;

 int i=0;
 while(1){
  READ.GetLatestValue();
  Time.Now();
  fprintf(Data,"%d %lld.%03d\n",i,Time.Second,Time.Millisecond);
  i++;
  if(i>1000)exit(0);
 }





 fclose(Data);
}
