#include "../SADB-Client/SADB.h"
using namespace SADB;

int main(void){
 Blackboard Board;
 Board.ConnectToServer("127.0.0.1");
 

 //Create an object on the server (the object that will be read)
 BlackboardObject IMG;
 IMG.SetBlackboard(&Board);
 IMG.AddToBlackboard();
 IMG.SetDataType(BOByte);
 IMG.SetDimensionsf(3,640,480,3);//X,Y,R,G,B
 IMG.SetName("MAXSEQUENTIALWRITE");

 //Open a file for output
 FILE *Data=fopen("Raw","w");

 Timestamp Time;

 int i=0;
 while(1){
  Time.Now();
  IMG.SetTimestamp(&Time);
  IMG.Send();
  fprintf(Data,"%d %lld.%d\n",i,Time.Second,Time.Millisecond);
  i++;
  if(i>1000)exit(0);
 }





 fclose(Data);
}
