#include "../SADB-Client/SADB.h"
using namespace SADB;

int main(void){
 Blackboard Board;
 Board.ConnectToServer("127.0.0.1");

 //Create an object

 BlackboardObject p1;
 p1.SetBlackboard(&Board);
 p1.AddToBlackboard();
 p1.SetDataType(BOFloat);
 p1.SetDimensionsf(1,1);//1 dimensional scalar
 p1.SetName("Ball1 Position");
 p1.SetDescription("Position of the ball 1");
 p1.Time.Millisecond=0;//Keep milliseconds fixed to 0

 // Populate the object with data (let's assume that this is a measurement)
 p1.Time.Second=2;
 p1.SetFloat(2,0);
 p1.Send();

 p1.Time.Second=3;
 p1.SetFloat(3,0);
 p1.Send();

 p1.Time.Second=1;
 p1.SetFloat(1,0);
 p1.Send();

 p1.Time.Second=4;
 p1.SetFloat(4,0);
 p1.Send();

 p1.Time.Second=8;
 p1.SetFloat(8,0);
 p1.Send();

 p1.Time.Second=5;
 p1.SetFloat(5,0);
 p1.Send();


 Timestamp Target;
 Target.Second=5;
 Target.Millisecond=0;

 BlackboardObject p2;
 Board.GetObjectValueAtNearestTimestamp(p1.ID,&Target,&p2);
 p2.Information();

 Target.Second=2;
 Target.Millisecond=200;
 BlackboardObject p3;
 Board.GetObjectValueAtNearestTimestamp(p1.ID,&Target,&p3);
 p3.Information();

 Target.Second=2;
 Target.Millisecond=500;
 BlackboardObject p4;
 Board.GetObjectValueAtNearestTimestamp(p1.ID,&Target,&p4);
 p4.Information();

 Target.Second=2;
 Target.Millisecond=600;
 BlackboardObject p5;
 Board.GetObjectValueAtNearestTimestamp(p1.ID,&Target,&p5);
 p5.Information();

 Target.Second=0;
 Target.Millisecond=100;
 BlackboardObject p6;
 Board.GetObjectValueAtNearestTimestamp(p1.ID,&Target,&p6);
 p6.Information();

}
