#include "../SADB-Client/SADB.h"
using namespace SADB;

int main(void){
 Blackboard Board;
 Board.ConnectToServer("127.0.0.1");

 SADBu64*List=NULL;
 SADBu8*Name=NULL;
 int n;

 printf("Requesting \"Ball1\": \n");
 n=Board.FindObjects("Ball1",&List);
 printf("Found %d object(s):\n",n);
 for(int i=0;i<n;i++){
  Board.GetObjectName(List[i],&Name);
  printf("  %08llx - %s\n",List[i],Name);
  free(Name);
 }

 printf("Requesting \"in(Ball1,Color)\": \n");
 n=Board.FindObjects("in(Ball1,Color)",&List);
 printf("Found %d object(s):\n",n);
 for(int i=0;i<n;i++){
  Board.GetObjectName(List[i],&Name);
  printf("  %08llx - %s\n",List[i],Name);
  free(Name);
 }
 

 printf("\n\n");

 printf("Requesting \"in(Ball1,Position)\": \n");
 n=Board.FindObjects("in(Ball1,Position)",&List);
 printf("Found %d object(s):\n",n);
 for(int i=0;i<n;i++){
  Board.GetObjectName(List[i],&Name);
  printf("  %08llx - %s\n",List[i],Name);
  free(Name);
 }


 printf("\n\n");

 printf("Requesting \"in(Ball1,Size)\": \n");
 n=Board.FindObjects("in(Ball1,Size)",&List);
 printf("Found %d object(s):\n",n);
 for(int i=0;i<n;i++){
  Board.GetObjectName(List[i],&Name);
  printf("  %08llx - %s\n",List[i],Name);
  free(Name);
 }


 printf("\n\n");

 printf("Requesting \"in(Color,Size)\": \n");
 n=Board.FindObjects("in(Color,Size)",&List);
 printf("Found %d object(s):\n",n);
 for(int i=0;i<n;i++){
  Board.GetObjectName(List[i],&Name);
  printf("  %08llx - %s\n",List[i],Name);
  free(Name);
 }


 printf("\n\n");
 printf("Requesting \"un(Color,Size)\": \n");
 n=Board.FindObjects("un(Color,Size)",&List);
 printf("Found %d object(s):\n",n);
 for(int i=0;i<n;i++){
  Board.GetObjectName(List[i],&Name);
  printf("  %08llx - %s\n",List[i],Name);
  free(Name);
 }

 printf("\n\n");
 printf("Requesting \"un(Color,Color)\": \n");
 n=Board.FindObjects("un(Color,Color)",&List);
 printf("Found %d object(s):\n",n);
 for(int i=0;i<n;i++){
  Board.GetObjectName(List[i],&Name);
  printf("  %08llx - %s\n",List[i],Name);
  free(Name);
 }

 printf("\n\n");
 printf("Requesting \"Union(Color,Size,Position)\": \n");
 n=Board.FindObjects("Union(Color,Size,Position)",&List);
 printf("Found %d object(s):\n",n);
 for(int i=0;i<n;i++){
  Board.GetObjectName(List[i],&Name);
  printf("  %08llx - %s\n",List[i],Name);
  free(Name);
 }

 printf("\n\n");
 printf("Requesting \"Union(Intersection(Color,Size),Position)\": \n");
 n=Board.FindObjects("Union(Intersection(Color,Size),Position)",&List);
 printf("Found %d object(s):\n",n);
 for(int i=0;i<n;i++){
  Board.GetObjectName(List[i],&Name);
  printf("  %08llx - %s\n",List[i],Name);
  free(Name);
 }


 printf("\n\n");
 printf("Requesting \"Union( Union( Color , Size  ), Position)\": \n");
 n=Board.FindObjects("Union( Union( Color , Size  ), Position)",&List);
 printf("Found %d object(s):\n",n);
 for(int i=0;i<n;i++){
  Board.GetObjectName(List[i],&Name);
  printf("  %08llx - %s\n",List[i],Name);
  free(Name);
 }


 printf("\n\n");
 printf("Requesting \"Union( intersection( Color , Ball1  ), intersection( Position , Ball1  ))\": \n");
 n=Board.FindObjects("Union( intersection( Color , Ball1  ), intersection( Position , Ball1  ))",&List);
 printf("Found %d object(s):\n",n);
 for(int i=0;i<n;i++){
  Board.GetObjectName(List[i],&Name);
  printf("  %08llx - %s\n",List[i],Name);
  free(Name);
 }




 printf("\n\n");
 printf("Requesting \"Intersection(Union(intersection(Color,Ball1),intersection(Position,Ball1)),Ball1)\": \n");
 n=Board.FindObjects("Intersection(Union(intersection(Color,Ball1),intersection(Position,Ball1)),Ball1)",&List);
 printf("Found %d object(s):\n",n);
 for(int i=0;i<n;i++){
  Board.GetObjectName(List[i],&Name);
  printf("  %08llx - %s\n",List[i],Name);
  free(Name);
 }


 printf("\n\n");
 printf("Requesting \"Intersection(Union(intersection(Color,Ball2),intersection(Position,Ball2)),Ball2)\": \n");
 n=Board.FindObjects("Intersection(Union(intersection(Color,Ball2),intersection(Position,Ball2)),Ball2)",&List);
 printf("Found %d object(s):\n",n);
 for(int i=0;i<n;i++){
  Board.GetObjectName(List[i],&Name);
  printf("  %08llx - %s\n",List[i],Name);
  free(Name);
 }

 printf("\n\n");
 printf("Requesting \"Union(intersection(Color,Ball1),in(Position,Ball1))\": \n");
 n=Board.FindObjects("Union(intersection(Color,Ball1),in(Position,Ball1))",&List);
 printf("Found %d object(s):\n",n);
 for(int i=0;i<n;i++){
  Board.GetObjectName(List[i],&Name);
  printf("  %08llx - %s\n",List[i],Name);
  free(Name);
 }

}
