#include "../SADB-Client/SADB.h"
using namespace SADB;

char Program[]="\
print (\"Hello World!\");\
";


void Callback(Blackboard*Board,SADBu64 Trigger){
 printf("Received Trigger: %ld\n",(long int)Trigger);
}

int main(void){
 Blackboard Board;
 Board.ConnectToServer("127.0.0.1");

 BlackboardTrigger Trigger;
 //Trigger.SetProgram(Program,strlen(Program));
 Trigger.LoadProgram("Data/test.lua");
 Trigger.SetnTargets(5);
 Trigger.SetTarget(0,23);
 Trigger.SetTarget(1,24);
 Trigger.SetTarget(2,25);
 Trigger.SetTarget(3,26);
 Trigger.SetTarget(4,27);
 Trigger.SetBlackboard(&Board);
 Trigger.SetPeriod(1000);
 Trigger.SetCallback(&Callback); 
 Trigger.Start();
 
 while(1);
}
